<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{main-layout.html::main-fragment(~{::title},~{::#adduser-main-content})}">
<head>
<meta charset="UTF-8">
<title>Ajout utilisateur</title>
</head>
<body>
    <div id="adduser-main-content">
        <form method="post" th:action="@{/admin/users/add}" th:object="${formuser}">
            <div class="mb-2">
                <label for="prenom" class="form-label">Prénom</label>
                <input type="text" th:field="*{prenom}" id="prenom" class="form-control" th:errorclass="is-invalid"/>
                <p th:if="${#fields.hasErrors('prenom')}" th:errors="*{prenom}" class="text-danger small"/>
            </div>
            <div class="mb-2">
                <label for="nom" class="form-label">Nom</label>
                <input type="text" th:field="*{nom}" id="nom" class="form-control"
                th:errorclass="is-invalid">
                <p th:if="${#fields.hasErrors('nom')}" th:errors="*{nom}" class="text-danger small"/>
            </div>
            <div class="mb-2">
                <label for="datenaissance" class="form-label">Date de naissance</label>
                <input type="date" th:field="*{dateNaissance}" id="datenaissance" class="form-control"
                th:errorclass="is-invalid">
                <p th:if="${#fields.hasErrors('dateNaissance')}" th:errors="*{dateNaissance}" class="text-danger small"/>
            </div>
            <div class="mb-2">
                <label for="email" class="form-label">Email</label>
                <input type="email" th:field="*{email}" id="email" class="form-control"
                th:errorclass="is-invalid">
                <p th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="text-danger small"/>
            </div>
            <div class="mb-2">
                <label for="password" class="form-label">Mot de passe</label>
                <input type="password" th:field="*{password}" id="password" class="form-control"
                th:errorclass="is-invalid">
                <p th:if="${#fields.hasErrors('password')}" th:errors="*{password}" class="text-danger small"/>
            </div>
            <div class="mb-2">
                <label for="passwordconf" class="form-label">Confirmation du mot de passe</label>
                <input type="password" th:field="*{passwordConf}" id="passwordConf" class="form-control"
                th:errorclass="is-invalid">
                <p th:if="${#fields.hasErrors('passwordConf')}" th:errors="*{passwordConf}" class="text-danger small"/>
            </div>
            <input type="submit" class="btn btn-primary" value="Ajouter">
        </form>
    

    </div>
</body>
</html>